package com.yihu.jw.base.service.word.excelImport;

import com.yihu.jw.util.excel.ExcelUtil;
import com.yihu.jw.util.excel.Validation;
import com.yihu.jw.util.excel.annotation.Location;
import com.yihu.jw.util.excel.annotation.Row;
import com.yihu.jw.util.excel.annotation.Title;
import com.yihu.jw.util.excel.annotation.ValidRepeat;

import java.util.Map;
import java.util.Set;

/**
 * @author HZY
 * @vsrsion 1.0
 * Created at 2020/7/7
 */
@Row(start = 1)
@Title(names= "{'序号', '敏感词','说明'}")
public class BaseSensitiveExcelDO extends ExcelUtil implements Validation {
    @Location(x=0)
    @ValidRepeat
    String id;

    @Location(x=1)
    @ValidRepeat
    String sensitiveWord;

    @Location(x=2)
    @ValidRepeat
    String explanation;



    @Override
    public int validate(Map<String, Set> repeatMap) throws Exception {
        int rs = 1;
        return rs;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSensitiveWord() {
        return sensitiveWord;
    }

    public void setSensitiveWord(String sensitiveWord) {
        this.sensitiveWord = sensitiveWord;
    }

    public String getExplanation() {
        return explanation;
    }

    public void setExplanation(String explanation) {
        this.explanation = explanation;
    }
}
